﻿using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;

namespace GridViewCountGeneration
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            RadGridView1.GroupDescriptions.CollectionChanged += GroupDescriptions_CollectionChanged;
            RadGridView1.ItemsSource = new Message[] { 
				new Message { Sender = "tom@hanna-barbera.com", Subject = "Cats are cool", Size = 100 },
				new Message { Sender = "jerry@hanna-barbera.com", Subject = "Mice are cool", Size = 100 },
				new Message { Sender = "spike@hanna-barbera.com", Subject = "Dogs are cool", Size = 100 }
			};
        }


        private void GroupDescriptions_CollectionChanged(object sender, NotifyCollectionChangedEventArgs e)
        {
            if (RadGridView1.GroupDescriptions.Count > 0)
            {
                var firstGroupDescription = RadGridView1.GroupDescriptions.FirstOrDefault();
                if (firstGroupDescription != null && firstGroupDescription.AggregateFunctions.Count == 0)
                {
                    CountFunction cf = new CountFunction(firstGroupDescription.PropertyName, firstGroupDescription.PropertyName, "");
                    firstGroupDescription.AggregateFunctions.Add(cf);
                }
            }
        } 
    }
}
